package com.zcloud.util.logAop;

import java.lang.annotation.*;

/**
 * @Description: 日志切面注解
 * @Author: dearLin
 * @Date: 2023/3/8
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LogOperation {
    // 正常 必填
    String value() default "";
    // 失败提示 必填
    String exceptionInformation() default "";
    // 修改 选填
    boolean isUpdate() default false;
    // 删除 选填
    boolean isDelete() default false;
    // 修改id 选填
    String updateId() default "";
}
